unit UnitZumenFont;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls,
  UnitData,  UnitFunc ;

type
  TFmZumenFont = class(TForm)
    Label6: TLabel;
    Button1: TButton;
    ListBox1: TListBox;
    Button2: TButton;
    ComboBox1: TComboBox;
    LabelN: TLabel;
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Button1Click(Sender: TObject);
    procedure ListBox1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure ComboBox1Select(Sender: TObject);
  private
    { Private 錾 }
  public
    { Public 錾 }
    P_CData : TDataClass ;
  end;

var
  FmZumenFont: TFmZumenFont;

implementation

{$R *.dfm}

// N
procedure TFmZumenFont.FormShow(Sender: TObject);
var
   i : integer ;
   s : string ;
begin
   ListBox1.Items.Clear ;
   for i:=0 to P_CData.zFntN-1 do begin
      s := P_CData.zFnt[i].name ;
      ListBox1.Items.Add(s);
   end;

   // XN[tHgiʕ\ptHgjwo悤ɂ܂
   // TrueTypeFontłƂ͌܂BSĈ\łƂ͌܂B
   ComboBox1.Items.Clear ;
   for i:=0 to Screen.Fonts.Count-1 do begin
      s := Screen.Fonts[i] ;
      ComboBox1.Items.Add(s) ;
   end;

   LabelN.Font.Name := 'lr SVbN';
end;

// I
procedure TFmZumenFont.FormClose(Sender: TObject; var Action: TCloseAction);
begin
   //
end;

// [ǉo^]
procedure TFmZumenFont.Button1Click(Sender: TObject);
var
   r : Boolean ;
   i : integer ;
   s : string ;
begin
   i := ComboBox1.ItemIndex ;
   if (i > -1) then begin
      s := ComboBox1.Items[i] ;
      r := P_CData.AddFont(s);
      if (r) then begin
         ListBox1.Items.Clear ;
         for i:=0 to P_CData.zFntN-1 do begin
            s := P_CData.zFnt[i].name ;
            ListBox1.Items.Add(s);
         end;
      end
      else
         ShowMessage('tHgǉo^o܂ł');
   end;
end;

// tHgꗗNbNlmF
procedure TFmZumenFont.ListBox1Click(Sender: TObject);
var
   i : integer ;
   s : string ;
begin
   if (ListBox1.Items.Count = 0) then exit;
   i := ListBox1.ItemIndex;
   if (i = -1) then exit;
   if (i >= P_CData.zFntN) then exit;

   s := P_CData.zFnt[i].name;
   i := ComboBox1.Items.IndexOf(s);
   ComboBox1.ItemIndex :=  i;
   ComboBox1Select(Sender);
end;

// []
procedure TFmZumenFont.Button2Click(Sender: TObject);
begin
   close ;
end;

// tHgύX
procedure TFmZumenFont.ComboBox1Select(Sender: TObject);
var
   i : integer ;
   s : string ;
begin
   i := ComboBox1.ItemIndex ;
   if (i > -1) then begin
      s := ComboBox1.Items[i] ;
      LabelN.Font.Name := s ;
   end
   else begin
      LabelN.Font.Name := 'lr SVbN' ;
   end;
end;

end.
